Subject: Re: [bug#58587] [PATCH 04/14] build-system: Add pyproject-build-system.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 27 Oct 2022 13:12:38 -0400

Hi Lars-Dominik,

Lars-Dominik Braun <[email-masked]> writes:

> Hi Maxim,
>
> as the original author, I might be able to answer a few of these
> questions.
>
>> Not sure how this #!python shebang comes into existence; as that isn't a
>> valid one.  Perhaps double check things here?
> As mentioned by the docstring of INSTALL this conforms to PEP 427.

OK, thanks for clearing that up for me.

>> Phew, that's a lot of parsing and manual handling of things.  I'd rather
>> we leave this to uptream tooling instead of having to maintain that
>> ourselves, but based on previous discussion it remember that
>> bootstrapping pypi was thought too difficult.
> Last time I checked installer (https://github.com/pypa/installer)
> wasn’t in a good enough shape to use it here. We’d still have
> to write a few lines of Python code, since it does not come with an
> executable. Bootstrapping pip is pretty much impossible due to the amount
> of vendored components.

This sounds like the kind of tool we'd want to use longer term, to avoid
having to go back to the drawing board every time the Python community
changes their mind on packaging matters (which is relatively often as of
late).

That said, I think the current approach can get us started, since it's
already done and seems to work fine so far.

-- 
Thanks,
Maxim